平台问答

来自Org
跳转至: 导航搜索

您当前所在的位置:首页 > 架设手册 > 平台问答

在这里讨论关于MediaWiki平台使用的问题,交流经验。

关于“平台问答”的留言:

请教“Template:讨论”的问题。

留言:我第一次在您的www.18dao.org Wiki平台中看到直接把对某个条目的讨论内容放在条目正文末尾的效果,当时就很向往,最近在自己公司内网中搭建Wiki平台时,借鉴了您的源码,然而同样的源码效果却不同,详见http://yeahcao.photo.hexun.com/31869817_d.html ,想请您指点一下,是什么原因导致页面出现“{{#ifexist:Talk:野草|: ”。非常感谢! --121.230.124.174 2007年12月29日 (日) 16:23 (CST)

回复:请你查看一下你们的MediaWiki系统是否安装了ParserFunctions这个插件,只有安装后#ifexist等函数功能才能起作用,否则就成了普通字符了。互相探讨,不用谢!--James Qi(讨论) 2007年12月29日 (日) 23:16 (CST)
非常感谢。但是我按照您这里的安装手册安装了您说的ParserFunctions这个插件以后,出现如下提示内容,该如何解决呢?

Warning: require_once(D:\Program Files\wamp\www\wk\extensions\ParserFunctions/ParserFunctions.i18n.php) [function.require-once]: failed to open stream: No such file or directory in D:\Program Files\wamp\www\wk\extensions\ParserFunctions\ParserFunctions.php on line 469

Fatal error: require_once() [function.require]: Failed opening required 'D:\Program Files\wamp\www\wk\extensions\ParserFunctions/ParserFunctions.i18n.php' (include_path='D:\Program Files\wamp\www\wk;D:\Program Files\wamp\www\wk/includes;D:\Program Files\wamp\www\wk/languages;.;C:\php5\pear') in D:\Program Files\wamp\www\wk\extensions\ParserFunctions\ParserFunctions.php on line 469 --58.222.0.162 2007年12月30日 (日) 14:33 (CST)

看提示是缺少ParserFunctions.i18n.php这个程序,这好像是必须与ParserFunctions.php一起配套使用的,应该一起从官方网站(http://www.mediawiki.org 可能需用代理打开)找到下载。--James Qi(讨论) 2007年12月30日 (一) 22:48 (CST)

请教模板嵌套与DPL的问题

留言:您好。我想借鉴您个人首页 http://www.jamesqi.com/%E9%A6%96%E9%A1%B5 最新日志的效果的,结果“Template:最新日志”显示正常,但到“Template:首页”中时,就变成了乱码,详见http://yeahcao.photo.hexun.com/31923433_d.html 请问如何解决?谢谢! --Yeahcao 2007年12月30日 (日) 14:55 (CST)

我看到你提供的链接中的出错提示了,但因为以前没有遇到过这样的提示,所以还不明白这是什么意思。你说的现象比较奇怪,如果在“Template:最新日志”中显示正常,“首页”(不是“Template:首页”)只是调用“Template:最新日志”,似乎没有理由不正常,我确实还没有遇到这样的问题。建议你查找最新的dpl扩展试一试看。--James Qi(讨论) 2007年12月30日 (一) 22:48 (CST)

请教扩展插件ParserFunctions安装问题

留言:

--天使无双 2009年8月26日 (三) 03:52 (CST)

您好,我在单位局域网wiki上按照手册安装ParserFunctions插件后,提示Warning: array_slice() [function.array-slice]: The first argument should be an array in D:\www\languages\Language.php on line 1105。

我运行的环境是

  • MediaWiki: 1.9.3
  • PHP: 5.0.4 (apache2handler)
  • MySQL: 5.0.19-nt

请问您在安装ParserFunctions插件时是否修改过languages\Language.php 文件,应怎样修改?

回复:您好!我当时安装这个插件好像没有遇到过任何问题,直接安装上去了就能用,并没有修改什么,建议您升级到最新的MediaWiki 1.15试一试看,插件也下载最新的。--James Qi 2009年9月14日 (一) 00:08 (CST)

新增相关留言